# session_encode

(PHP 4, PHP 5, PHP 7)

session_encode — Encodes the current session data as a session encoded string

### Description

session_encode ( void ) : string

session_encode() returns a serialized string of the contents of the current session data stored in the $_SESSION superglobal.

By default, the serialization method used is internal to PHP, and is not the same as serialize(). The serialization method can be set using session.serialize_handler.

### Return Values

Returns the contents of the current session encoded.

### Notes

Warning

Must call session_start() before using session_encode().

### See Also

- session_decode() - Decodes session data from a session encoded string
- session.serialize_handler